/*
 * Copyright 2016 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Loïc Molinari <loic.molinari@canonical.com>
 */

#version 440

layout(location = 0) in vec4 positionAttrib;
layout(location = 1) in vec2 outerCoordAttrib;
layout(location = 2) in vec2 innerCoordAttrib;
layout(location = 3) in vec4 colorAttrib;

layout(location = 0) out vec2 outerCoord;
layout(location = 1) out vec2 innerCoord;
layout(location = 2) out vec4 color;

layout(std140, binding = 0) uniform buf {
    mat4 qt_Matrix;
    float qt_Opacity;
} ubuf;


void main()
{
    outerCoord = outerCoordAttrib;
    innerCoord = innerCoordAttrib;
    color = colorAttrib;
    gl_Position = ubuf.qt_Matrix * positionAttrib;
}
